[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Clear

Removes all items in the container.

## Declaration

Source position: valedit.pas line 67

`public procedure TItemPropList.Clear;`

## Description

Clear is a procedure used to remove all items in the container. Clear calls the TFPObjectList.Clear method to remove all TItemProp instances stored in the list.

Use Delete or Insert to append or insert a new item for the list.

## See also

TItemPropList.Delete |  | Removes an item in the container at the specified position.
TItemPropList.Insert |  | Inserts the new item at the specified position in the container.